profile scalerail_cm {

	Sample template for DynaTrax testing
	
	Copyright  Trainsimfiles.com

	Default track style but with scale rail widths

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=default_new.trainsimfiles.uk

		#profileSet is the track system the profile belongs to
		profileSet=ScaleRail

		#profileName is a description of the profile
		profilename=ScaleRail concrete modern

		#url/email for profile issues
		support=http://support.trainsimfiles.com/

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#seglimits sets how segmentation of shapes is to occur maximum segment angle, minimum and maximum segment length 
	#followed by (minimum length, maximum length)
	#these force the segmentation to take place with 
	#these parameters are currently hard-coded, but will be enabled to allow user-defined quality of curves/straights 
	maxSegAngle=0.75
	minSegLength=1
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=BALLASTC (SR_Track_c1a.ace,-1,BlendATexDiff,LinearMipLinear,OptSpecular0,trans,test,0,5.0)	
	material=RAILC (SR_Track_c3a.ace,0,TexDiff,LinearMipLinear,OptSpecular750,none,normal,0,5.0)	
	material=SHINEC (SR_Track_c3a.ace,0,TexDiff,LinearMipLinear,OptSpecular25,none,normal,0,5.0)
	material=SPIKESC (SR_Track_c2a.ace,0,BlendATexDiff,MipLinear,OptSpecular0,none,normal,0,5.0)
	material=TIESC (SR_Track_c2a.ace,0,BlendATexDiff,MipLinear,OptSpecular0,none,test,0,5.0)
	material=BALLASTCU (SR_Track_c1a.ace,0,BlendATexDiff,MipLinear,OptSpecular0,none,normal,0,5.0)
	material=TIESCU (SR_Track_c2a.ace,0,BlendATexDiff,MipLinear,OptSpecular0,none,normal,0,5.0)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(-2.4384,0.16,0)(2.4384,0.16,0)
	points=(-2.4384,-0.2,0)(-1.4478,0.16,0)(1.4478,0.16,0)(2.4384,-0.2,0)
	points=(-1.2954,0.1822,0)(-0.6,0.1822,0)(-0.45,0.1522,0)
	points=(0.45,0.1522,0)(0.6,0.1822,0)(1.2954,0.1822,0)
	points=(-2.4384,-0.2,0)(-1.4478,0.16,0)(-0.6,0.16,0)(-0.45,0.13,0)(0.45,0.13,0)(0.6,0.16,0)(1.4478,0.16,0)(2.4384,-0.2,0)
	points=(-1.2954,0.1822,0)(-0.6,0.1822,0)(-0.45,0.1522,0)(0.45,0.1522,0)(0.6,0.1822,0)(1.2954,0.1822,0)
	points=(-0.7826,0.1822,0)(-0.7826,0.325,0)
	points=(-0.7175,0.325,0)(-0.7175,0.1822,0)
	points=(0.7175,0.1822,0)(0.7175,0.325,0)
	points=(0.7826,0.325,0)(0.7826,0.1822,0)
	points=(-0.7826,0.325,0)(-0.7175,0.325,0)
	points=(0.7175,0.325,0)(0.7826,0.325,0)
	points=(-0.7826,0.325,0)(-0.7501,0.33,0)(-0.7175,0.325,0)
	points=(0.7175,0.325,0)(0.7501,0.33,0)(0.7826,0.325,0)
	points=(-0.91,0.1822,0)(-0.7501,0.21,0)(-0.59,0.1822,0)
	points=(0.59,0.1822,0)(0.7501,0.21,0)(0.91,0.1822,0)
	points=(-0.8152,0.1822,0)(-0.7614,0.2,0)
	points=(-0.7387,0.2,0)(-0.685,0.1822,0)
	points=(-0.7826,0.1822,0)(-0.7826,0.325,0)
	points=(-0.7175,0.325,0)(-0.7175,0.1822,0)
	points=(0.7614,0.2,0)(0.8152,0.1822,0)
	points=(0.685,0.1822,0)(0.7387,0.2,0)
	points=(0.7826,0.325,0)(0.7826,0.1822,0)
	points=(0.7175,0.1822,0)(0.7175,0.325,0)
	points=(-1.2954,0.16,0)(-1.2954,0.1822,0)(-0.6,0.1822,0)(-0.45,0.1522,0)(0.45,0.1522,0)(0.6,0.1822,0)(1.2954,0.1822,0)(1.2954,0.16,0)

	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(0,1)(1,1)
	uvpoints=(0,1)(0.203,1)(0.797,1)(1,1)
	uvpoints=(0.235,1)(0.377,1)(0.408,1)
	uvpoints=(0.592,1)(0.623,1)(0.766,1)
	uvpoints=(0,1)(0.203,1)(0.377,1)(0.408,1)(0.592,1)(0.623,1)(0.797,1)(1,1)
	uvpoints=(0.235,1)(0.377,1)(0.408,1)(0.592,1)(0.623,1)(0.766,1)
	uvpoints=(0.03,1)(0.43,1)
	uvpoints=(0.57,1)(0.97,1)
	uvpoints=(0.97,1)(0.57,1)
	uvpoints=(0.43,1)(0.03,1)
	uvpoints=(0.43,1)(0.57,1)
	uvpoints=(0.57,1)(0.43,1)
	uvpoints=(0.43,1)(0.5,1)(0.57,1)
	uvpoints=(0.57,1)(0.5,1)(0.43,1)
	uvpoints=(0.049,1)(0.102,1)(0.155,1)
	uvpoints=(0.049,1)(0.102,1)(0.155,1)
	uvpoints=(0,1)(0.2,1)
	uvpoints=(0.8,1)(1,1)
	uvpoints=(0.03,1)(0.43,1)
	uvpoints=(0.57,1)(0.97,1)
	uvpoints=(0.2,1)(0,1)
	uvpoints=(0.797,1)(0.8,1)
	uvpoints=(0.43,1)(0.03,1)
	uvpoints=(0.97,1)(0.57,1)
	uvpoints=(0.215,1)(0.235,1)(0.377,1)(0.408,1)(0.592,1)(0.623,1)(0.766,1)(0.786,1)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	#limited to 4 LOD levels in the beta, but should be sufficient for evaluation/testing
	lods=100,500,1000,2000
	degrade=1,2,4,8

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	object BALLASTC {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=BALLASTC

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(12,12)(13,13)(14,14)(15,15)(16,16)(17,17)(18,18)(19,19)
		profile=1,(12,12)(13,13)(14,14)(15,15)(16,16)(17,17)(18,18)(19,19)
	}
	object TIESC {
		subobject=0
		materialName=TIESC
		profile=0,(66,66)(67,67)
		profile=0,(67,67)(68,68)(69,69)(70,70)(71,71)(72,72)
		profile=0,(72,72)(73,73)
		profile=1,(20,20)(21,21)(22,22)(23,23)(24,24)(25,25)
	}
	object RAILC {
		subobject=0
		materialName=RAILC
		profile=0,(50,50)(51,51)
		profile=0,(52,52)(53,53)
		profile=0,(54,54)(55,55)
		profile=0,(56,56)(57,57)
		profile=0,(58,58)(59,59)
		profile=0,(60,60)(61,61)
		profile=0,(62,62)(63,63)
		profile=0,(64,64)(65,65)
		profile=1,(26,26)(27,27)
		profile=1,(28,28)(29,29)
		profile=1,(30,30)(31,31)
		profile=1,(32,32)(33,33)
	}
	object SPIKESC {
		subobject=0
		materialName=SPIKESC
		profile=0,(44,44)(45,45)(46,46)
		profile=0,(47,47)(48,48)(49,49)
	}
	object SHINEC {
		subobject=0
		materialName=SHINEC
		profile=0,(38,38)(39,39)(40,40)
		profile=0,(41,41)(42,42)(43,43)
		profile=1,(34,34)(35,35)
		profile=1,(36,36)(37,37)
	}
	object BALLASTCU {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=BALLASTCU

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=2,(2,2)(3,3)(4,4)(5,5)
		profile=3,(0,0)(1,1)
	}
	object TIESCU {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=TIESCU

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=2,(6,6)(7,7)(8,8)
		profile=2,(9,9)(10,10)(11,11)
	}
}